class Animal:
    def reply(self):   self.speak()              # Z powrotem do klasy podrzędnej
    def speak(self):   print('fuj')             # Własny komunikat

class Mammal(Animal):
    def speak(self):   print('hę?')

class Cat(Mammal):
    def speak(self):   print('miau')

class Dog(Mammal):
    def speak(self):   print('hau')

class Primate(Mammal):
    def speak(self):   print('Witaj, świecie!')

class Hacker(Primate): pass                      # Dziedziczy po klasie Primate

